[Twisted-Python] Up to date Debian packages

Johann Borck johann.borck at densedata.com
Sun Jan 8 00:40:53 EST 2006

Brendan Simon wrote:

> I'm running Debian Sarge (ie. stable release).  The default
> installation of python-twisted is 1.3.0-8.  I would like the latest
> version, preferable 2.1.0.
> From the twisted web pages, I was lead to believe that the following
> site has the latest Debian snapshots, release-candidates and releases,
> but the latest version I could find there was 1.2.0+1.3.0-1 (whatever
> that means).
>    http://twisted.sourceforge.net/debian
> I've also checked http://backports.org/ but nobody has backported the
> Sid version to Sarge.  I don't even know what the Sid version is as
> the Debian packages page is not working at the moment.
> Is there an easy way to get precompiled versions of Twisted for Debian
> Sarge?

Hi, Brendan,
sorry, but this question is cute somehow - twisted is python - there's
nothing to compile  - if you need *.deb sooo much, the latest version in
unstable is 2.0.1-something, but it just can't be easier than
downloading the latest 2.1 tarball and just setting the 
PYTHONPATH=/path/to/twisted, i don't know exactly, but i think even the
distutils ie. python setup.py install from the base dir should work,
another possible way is to copy the /twisted dir into the site-packages
one of your python installation manually. Please, do that, there's no
need for debs, really !! :)

> Thanks,
> Brendan.
> _______________________________________________
> Twisted-Python mailing list
> Twisted-Python at twistedmatrix.com
> http://twistedmatrix.com/cgi-bin/mailman/listinfo/twisted-python

More information about the Twisted-Python mailing list